Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class LoadBalancerDescription

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.LoadBalancerDescription

    public class LoadBalancerDescription

extends Object

Load Balancer Description

Constructor Summary
`LoadBalancerDescription()`

Method Summary
`List<String>` | `getAvailabilityZones()` Returns the value of the AvailabilityZones property for this object.
`Date` | `getCreatedTime()` Returns the value of the CreatedTime property for this object.
`String` | `getDNSName()` Returns the value of the DNSName property for this object.
`HealthCheck` | `getHealthCheck()` Returns the value of the HealthCheck property for this object.
`List<Instance>` | `getInstances()` Returns the value of the Instances property for this object.
`List<ListenerDescription>` | `getListenerDescriptions()` Returns the value of the ListenerDescriptions property for this object.
`String` | `getLoadBalancerName()` Returns the value of the LoadBalancerName property for this object.
`Policies` | `getPolicies()` Returns the value of the Policies property for this object.
`void` | `setAvailabilityZones(Collection<String> availabilityZones)` Sets the value of the AvailabilityZones property for this object.
`void` | `setCreatedTime(Date createdTime)` Sets the value of the CreatedTime property for this object.
`void` | `setDNSName(String dNSName)` Sets the value of the DNSName property for this object.
`void` | `setHealthCheck(HealthCheck healthCheck)` Sets the value of the HealthCheck property for this object.
`void` | `setInstances(Collection<Instance> instances)` Sets the value of the Instances property for this object.
`void` | `setListenerDescriptions(Collection<ListenerDescription> listenerDescriptions)` Sets the value of the ListenerDescriptions property for this object.
`void` | `setLoadBalancerName(String loadBalancerName)` Sets the value of the LoadBalancerName property for this object.
`void` | `setPolicies(Policies policies)` Sets the value of the Policies property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`LoadBalancerDescription` | `withAvailabilityZones(Collection<String> availabilityZones)` Sets the value of the AvailabilityZones property for this object.
`LoadBalancerDescription` | `withAvailabilityZones(String... availabilityZones)` Sets the value of the AvailabilityZones property for this object.
`LoadBalancerDescription` | `withCreatedTime(Date createdTime)` Sets the value of the CreatedTime property for this object.
`LoadBalancerDescription` | `withDNSName(String dNSName)` Sets the value of the DNSName property for this object.
`LoadBalancerDescription` | `withHealthCheck(HealthCheck healthCheck)` Sets the value of the HealthCheck property for this object.
`LoadBalancerDescription` | `withInstances(Collection<Instance> instances)` Sets the value of the Instances property for this object.
`LoadBalancerDescription` | `withInstances(Instance... instances)` Sets the value of the Instances property for this object.
`LoadBalancerDescription` | `withListenerDescriptions(Collection<ListenerDescription> listenerDescriptions)` Sets the value of the ListenerDescriptions property for this object.
`LoadBalancerDescription` | `withListenerDescriptions(ListenerDescription... listenerDescriptions)` Sets the value of the ListenerDescriptions property for this object.
`LoadBalancerDescription` | `withLoadBalancerName(String loadBalancerName)` Sets the value of the LoadBalancerName property for this object.
`LoadBalancerDescription` | `withPolicies(Policies policies)` Sets the value of the Policies property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoadBalancerDescription

    public LoadBalancerDescription()

Method Detail

### getLoadBalancerName

    public String getLoadBalancerName()

  Returns the value of the LoadBalancerName property for this object.

  Returns:
    The value of the LoadBalancerName property for this object.

### setLoadBalancerName

    public void setLoadBalancerName(String loadBalancerName)

  Sets the value of the LoadBalancerName property for this object.

  Parameters:
    `loadBalancerName` - The new value for the LoadBalancerName property for this object.

### withLoadBalancerName

    public LoadBalancerDescription withLoadBalancerName(String loadBalancerName)

  Sets the value of the LoadBalancerName property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerName` - The new value for the LoadBalancerName property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDNSName

    public String getDNSName()

  Returns the value of the DNSName property for this object.

  Returns:
    The value of the DNSName property for this object.

### setDNSName

    public void setDNSName(String dNSName)

  Sets the value of the DNSName property for this object.

  Parameters:
    `dNSName` - The new value for the DNSName property for this object.

### withDNSName

    public LoadBalancerDescription withDNSName(String dNSName)

  Sets the value of the DNSName property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dNSName` - The new value for the DNSName property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getListenerDescriptions

    public List<ListenerDescription> getListenerDescriptions()

  Returns the value of the ListenerDescriptions property for this object.

  Returns:
    The value of the ListenerDescriptions property for this object.

### setListenerDescriptions

    public void setListenerDescriptions(Collection<ListenerDescription> listenerDescriptions)

  Sets the value of the ListenerDescriptions property for this object.

  Parameters:
    `listenerDescriptions` - The new value for the ListenerDescriptions property for this object.

### withListenerDescriptions

    public LoadBalancerDescription withListenerDescriptions(ListenerDescription... listenerDescriptions)

  Sets the value of the ListenerDescriptions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `listenerDescriptions` - The new value for the ListenerDescriptions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withListenerDescriptions

    public LoadBalancerDescription withListenerDescriptions(Collection<ListenerDescription> listenerDescriptions)

  Sets the value of the ListenerDescriptions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `listenerDescriptions` - The new value for the ListenerDescriptions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPolicies

    public Policies getPolicies()

  Returns the value of the Policies property for this object.

  Returns:
    The value of the Policies property for this object.

### setPolicies

    public void setPolicies(Policies policies)

  Sets the value of the Policies property for this object.

  Parameters:
    `policies` - The new value for the Policies property for this object.

### withPolicies

    public LoadBalancerDescription withPolicies(Policies policies)

  Sets the value of the Policies property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `policies` - The new value for the Policies property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZones

    public List<String> getAvailabilityZones()

  Returns the value of the AvailabilityZones property for this object.

  Returns:
    The value of the AvailabilityZones property for this object.

### setAvailabilityZones

    public void setAvailabilityZones(Collection<String> availabilityZones)

  Sets the value of the AvailabilityZones property for this object.

  Parameters:
    `availabilityZones` - The new value for the AvailabilityZones property for this object.

### withAvailabilityZones

    public LoadBalancerDescription withAvailabilityZones(String... availabilityZones)

  Sets the value of the AvailabilityZones property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZones` - The new value for the AvailabilityZones property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAvailabilityZones

    public LoadBalancerDescription withAvailabilityZones(Collection<String> availabilityZones)

  Sets the value of the AvailabilityZones property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZones` - The new value for the AvailabilityZones property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstances

    public List<Instance> getInstances()

  Returns the value of the Instances property for this object.

  Returns:
    The value of the Instances property for this object.

### setInstances

    public void setInstances(Collection<Instance> instances)

  Sets the value of the Instances property for this object.

  Parameters:
    `instances` - The new value for the Instances property for this object.

### withInstances

    public LoadBalancerDescription withInstances(Instance... instances)

  Sets the value of the Instances property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - The new value for the Instances property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withInstances

    public LoadBalancerDescription withInstances(Collection<Instance> instances)

  Sets the value of the Instances property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - The new value for the Instances property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getHealthCheck

    public HealthCheck getHealthCheck()

  Returns the value of the HealthCheck property for this object.

  Returns:
    The value of the HealthCheck property for this object.

### setHealthCheck

    public void setHealthCheck(HealthCheck healthCheck)

  Sets the value of the HealthCheck property for this object.

  Parameters:
    `healthCheck` - The new value for the HealthCheck property for this object.

### withHealthCheck

    public LoadBalancerDescription withHealthCheck(HealthCheck healthCheck)

  Sets the value of the HealthCheck property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `healthCheck` - The new value for the HealthCheck property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreatedTime

    public Date getCreatedTime()

  Returns the value of the CreatedTime property for this object.

  Returns:
    The value of the CreatedTime property for this object.

### setCreatedTime

    public void setCreatedTime(Date createdTime)

  Sets the value of the CreatedTime property for this object.

  Parameters:
    `createdTime` - The new value for the CreatedTime property for this object.

### withCreatedTime

    public LoadBalancerDescription withCreatedTime(Date createdTime)

  Sets the value of the CreatedTime property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createdTime` - The new value for the CreatedTime property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.